unit sysalpha;

{ Unis sysalpha contains system-dependant parts of OTTE, namely, it provides
  OTTE witch basic locale routines.
  
  This sysalpha unit was written for Windows.
}

interface //===================================================================

uses
  windows;

function getlocale: ansistring;
function setlocale(const locale: ansistring): boolean;
function isalpha(c: char): boolean;
function tolower(c: char): char;

implementation //==============================================================

function getlocale: ansistring;
begin
  result := '';
end;

//-----------------------------------------------------------------------------
function setlocale(const locale: ansistring): boolean;
begin
  result := true;
end;

//-----------------------------------------------------------------------------
function isalpha(c: char): boolean;
begin
  isalpha := IsCharAlpha(c);
end;

//-----------------------------------------------------------------------------
function tolower(c: char): char;
begin
  CharLowerBuff(@c, 1);
  result := c;
end;

end.
